Getting started
===============

Firstly we'd like to say that we're glad you'd like to join our network and
greater community! This document will provide you with the directions you
will need to follow in order to get connected.

## Steps to follow

Below you can follow the steps one-by-one to get yourself familiar with our
practices and inner-workings and by the end you should have all the information
and configuration details needed to get connected!

1. [Rules](rules.md)
	* We have **few** but **strict** rules nonetheless
	* Zero-tolerance for breaking them
2. [Requirements](requirements.md)
3. Registration
	* [Adding your prefix to EntityDB](registration/entitydb.md)
4. Setting up routing
	1. Setting up Bird
		1. [Bird basics](routing/bird/bird_basics.md)
		2. Bird configuration
			1. [Bird 1.6](routing/bird/bird1.6.md)
			2. [Bird 2.0](routing/bird/bird2.md)
			3. Protocols
				1. [Babel](routing/bird/bird_babel.md)
				2. [OSPFv3](routing/bird/bird_ospfv3.md)
5. Tunneling
	* [Fastd tunneling](tunneling/fastd.md)
6. Setting up your home network
	* Configuring your hosts
		1. Automatically with SLAAC and radv
			1. [Setting up radv (router)](radv.md)
			2. [Setting up SLAAC (hosts)](slaac/slaac.md)
	* [CRXN DNS](dns/dns.md)

## What's next?

Once you're connected, what's there todo?

1. Viewing the bird monitor
	* TODO: Add
2. Services
	* TODO: Gaming, IRC etc.
	* TODO: Using netbox to add your own and find more